Flext in-/outlet functions

## Modules

| Announce in-/outlet functions
| Miscellanous in-/outlet functionality
| Output data to inlets/outlets
| Low-priority output of data to inlets/outlets
| Output of data to inlets/outlets of this object
| Output of data via message bundles

## Functions

unsigned long | flext_base::XletCode (xlettype tp=xlet_none,...)
| get a code for a list of inlets or outlets More...
void | flext_base::AddInlets (unsigned long code)
| Add some inlets by a special code representing the types. More...
void | flext_base::AddInlet (xlettype tp, int mult=1, const char *desc=NULL)
| Add one or more inlet(s) More...
void | flext_base::AddOutlets (unsigned long code)
| Add some inlets by a special code representing the types. More...
void | flext_base::AddOutlet (xlettype tp, int mult=1, const char *desc=NULL)
| Add one or more outlet(s) More...
void | flext_base::DescInlet (int ix, const char *desc)
| Set the description of an indexed inlet. More...
void | flext_base::DescOutlet (int ix, const char *desc)
| Set the description of an indexed outlet. More...

## Detailed Description

Note
  These must be called in the class' constructor
  All (also default) inlets must be defined

## Function Documentation

## AddInlet()

void flext_base::AddInlet | ( | xlettype | tp,
|  | int | mult = `1`,
|  | const char * | desc = `NULL`
| ) |  |

protected

Add one or more inlet(s)

## AddInlets()

void flext_base::AddInlets | ( | unsigned long | code | ) |

protected

Add some inlets by a special code representing the types.

Remarks
  use XletCode function to get code value

## AddOutlet()

void flext_base::AddOutlet | ( | xlettype | tp,
|  | int | mult = `1`,
|  | const char * | desc = `NULL`
| ) |  |

protected

Add one or more outlet(s)

## AddOutlets()

void flext_base::AddOutlets | ( | unsigned long | code | ) |

protected

Add some inlets by a special code representing the types.

Remarks
  use XletCode function to get code value

## DescInlet()

void flext_base::DescInlet | ( | int | ix,
|  | const char * | desc
| ) |  |

protected

Set the description of an indexed inlet.

## DescOutlet()

void flext_base::DescOutlet | ( | int | ix,
|  | const char * | desc
| ) |  |

protected

Set the description of an indexed outlet.

## XletCode()

unsigned long flext_base::XletCode | ( | xlettype | tp = `xlet_none`,
|  |  | ...
| ) |  |

protected

get a code for a list of inlets or outlets